package ru.dbotthepony.kstarbound.world.entities

import com.google.gson.JsonObject
import ru.dbotthepony.kommons.util.Either
import ru.dbotthepony.kommons.util.AABB
import ru.dbotthepony.kommons.vector.Vector2d
import ru.dbotthepony.kstarbound.defs.item.api.IItemDefinition
import ru.dbotthepony.kstarbound.world.World
import ru.dbotthepony.kstarbound.world.physics.Poly

class ItemEntity(val def: IItemDefinition) : DynamicEntity("/") {
	override val movement = EntityMovementController(this)

	override fun defs(): Collection<JsonObject> {
		return emptyList()
	}

	init {
		movement.movementParameters = movement.movementParameters.copy(collisionPoly = Either.left(Poly(AABB.rectangle(Vector2d.ZERO, 0.75, 0.75))))
	}
}
